Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.resources
Class LibraryResources_pt_BR

    java.lang.Object
      java.util.ResourceBundle
          java.util.ListResourceBundle
              oracle.ifs.beans.resources.LibraryResources_pt_BR

    public class LibraryResources_pt_BR

extends java.util.ListResourceBundle

LibraryResources is a localized collection of strings.

LibraryResources subclasses Java's ListResourceBundle. Refer to the JDK documentation on ListResourceBundles for more details on their use.

This is the primary ListResourceBundle used by the iFS repository. Additional ListResourceBundles are part of the product, which introduce additional error codes and localizable strings. Each of these bundles reserves a unique prefix and a bank of error codes. The current set of prefixes and error code banks are as follows:

- 10000-49999 REPOS: The iFS repository
- 50000-59999 Reserved: Reserved for future use
- 66000-66999 CLIENTS.OEM: Oracle Enterprise iFS Manager Admin Client
- 67000-67499 CLIENTS.WINDOWS: Windows Plug-in
- 68000-68099 ADK: The ADK modules
- 68200-68299 ADK.FILESYSTEM: FileManager Interface
- 68400-68499 ADK.FILESYSTEM.PLATFORM: Development Platform Implementation
- 68600-68699 ADK.UIX: UIX Framework
- 68700-68799 ADK.SEARCH: Search Integration (Portal)
- 68800-68899 ADK.WORKFLOW: Workflow framework
- 70000-70999 FTP: The FTP protocol server
- 71000-71999 NFS: The NFS protocol server
- 72000-72999 SMB: The SMB protocol server
- 74000-74999 EML: Email protocol servers (IMAP4, POP3, etc.)
- 76000-76999 WSI: Web server interfaces
- 78000-78999 NTFS: NT File System Driver
- 79000-79999 Misc utilities:
- 79000-79199 oracle.ifs.utils.* packages
- 80000-81999 INSTALL: iFS Installer
- 82000-82999 UPGRADE MANAGER: Upgrade Manager
- 83000-84999 RUBY: Ruby Client
- 85000-85499 SAGE: Sage
- 85500-85999 Reserved: Reserved for future use
- 100000-199999 For customer use.

Error codes 100000 to 199999 can be used by custom applications. Oracle reserves all error codes from 0 to 99999 and greater than 200000.

(Published)

Nested Class Summary

Nested classes/interfaces inherited from class java.util.ResourceBundle
`java.util.ResourceBundle.Control`

Field Summary
`protected static java.lang.Object[][]` | `s_Contents` The resource name/value pairs.

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`LibraryResources_pt_BR()`

Method Summary
`java.lang.Object[][]` | `getContents()` Returns the library resources.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject, handleKeySet`

Methods inherited from class java.util.ResourceBundle
`clearCache, clearCache, containsKey, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s_Contents

    protected static final java.lang.Object[][] s_Contents

  Description copied from class: `LibraryResources_pt_BR`
  The resource name/value pairs.

  (Unpublished)

Constructor Detail

### LibraryResources_pt_BR

    public LibraryResources_pt_BR()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Description copied from class: `LibraryResources_pt_BR`
  Returns the library resources.

  Specified by:
    `getContents` in class `java.util.ListResourceBundle`
  Returns:
    an array of resource name/value pairs
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD